## cr-pseudo cr-pseudo |

## Functions

CRPseudo * | cr_pseudo_new ()
guchar * | cr_pseudo_to_string ()
void | cr_pseudo_dump ()
void | cr_pseudo_destroy ()

## Types and Values

struct | CRPseudo

## Description

## Functions

### cr_pseudo_new ()

    CRPseudo *
    cr_pseudo_new (void);

Returns the newly build instance.

### cr_pseudo_to_string ()

    guchar *
    cr_pseudo_to_string (CRPseudo const *a_this);

Returns the serialized pseudo. Caller must free the returned string using `g_free()`.

#### Parameters

a_this | the current instance of CRPseud. |

### cr_pseudo_dump ()

    void
    cr_pseudo_dump (CRPseudo const *a_this,
                    FILE *a_fp);

Dumps the pseudo to a file.

#### Parameters

a_this | the current instance of pseudo |
a_fp | the destination file pointer. |

### cr_pseudo_destroy ()

    void
    cr_pseudo_destroy (CRPseudo *a_this);

destructor of the CRPseudo class.

#### Parameters

a_this | the current instance to destroy. |

## Types and Values

### struct CRPseudo

    struct CRPseudo {
            enum CRPseudoType type ;
            CRString *name ;
            CRString *extra ;
            CRParsingLocation location ;
    };